## elog 3.1.2-1

=== debian/changelog ===
elog (3.1.2-1-1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fixed NULL pointer deference in
    show_uploader_json. (Fixes: CVE-2020-8659)

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 18 May 2022 05:57:05 +0530

elog (3.1.2-1-1) unstable; urgency=low

  * new upstream version grabbed, (Closes: #836505, CVE-2016-6342)
  * update debian/rules
    - allow reproducible builds (Closes: #816209)
    - enable all hardening build flags
  * update debian/source/lintian-overrides for contrib/elogsubmit.js
    insane-line-length-in-source-file, removed unused overrides
  * update Standards-Version to 3.9.8 (debian/control)

 -- Roger Kalt <roger.kalt@gmail.com>  Tue, 06 Sep 2016 20:00:00 +0100
