## elog 3.1.3-1

=== debian/changelog ===
elog (3.1.3-1-1build2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 01 Dec 2021 12:04:59 +0100

elog (3.1.3-1-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:21:23 +0000

elog (3.1.3-1-1) unstable; urgency=medium

  * new upstream version grabbed
  * debian/
     - updated debian/source/lintian-overrides to fix lintian report
     - updated debian/rules to apply hardening flags correctly
     - updated Standards-version to 4.0.0 (debian/control)
     - updated debian/patches/* to work with new upstream version
     - removed 0002_html_doc.patch because fixed in upstream

 -- Roger Kalt <roger.kalt@gmail.com>  Sun, 11 Jun 2017 22:04:06 +0200
