=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 
 
 # A few convenience variables.
@@ -21,10 +24,14 @@
 DOCDIR=usr/share/doc/$(NAME)
 SRVDIR=$(VARDIR)
 
-CFLAGS = `dpkg-buildflags --get CFLAGS`
+#CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -funroll-loops -fomit-frame-pointer -W -Wall -Wl,-z,relro -D_FORTIFY_SOURCE=2 
-LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+CFLAGs += -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security
+#LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 LDFLAGS += defs
+LDFLAGs += -fPIE -pie -Wl,-z,relro -Wl,-z,now
 
 # Enable by default OpenSSL and KRB5 support in the Debian binaries
 LIBS= -lkrb5 -lssl
@@ -102,14 +109,15 @@
 
 # Get most current orig source from PSI ELOG FTP server and do the repacking automatically.
 # The ORIG_VERSION must be set manually.
-ORIG_VERSION=3.1.2-1
+ORIG_VERSION=3.1.3-1
 get-orig-source:
 	wget -q http://midas.psi.ch/elog/download/tar/elog-$(ORIG_VERSION).tar.gz
 	tar xzf ./elog-$(ORIG_VERSION).tar.gz
 	# rename elog folder
-	mv ./elog-3.1.2 ./elog-$(ORIG_VERSION)
-	# move mxml/* into elog/src
-	mv ./mxml/* ./elog-$(ORIG_VERSION)/src
+	mv ./elog-3.1.3 ./elog-$(ORIG_VERSION)
+	# move mxml/* into elog/src and delete source folder
+	mv ./elog-$(ORIG_VERSION)/mxml/* ./elog-$(ORIG_VERSION)/src
+	rm -rf ./elog-$(ORIG_VERSION)/mxml
 	# delete embedded source of CKeditor coming from upstream
 	rm -rf ./elog-$(ORIG_VERSION)/scripts/ckeditor
 	rm -rf ./elog-$(ORIG_VERSION)/scripts/ckeditor.zip
@@ -123,7 +131,7 @@
 	cp progress.js-0.1.0/src/* ./elog-$(ORIG_VERSION)/scripts/progress/
 	# pack it
 	cd ..
-	tar czf ../../$(shell date "+%Y%m%d-%H%M%S")-REPACKED-elog_$(ORIG_VERSION).orig.tar.gz --exclude-vcs -C ./ elog-$(ORIG_VERSION)
-	rm -rf ./elog-$(ORIG_VERSION).tar.gz ./mxml ./v0.1.0.tar.gz ./progress.js-0.1.0 ./elog-$(ORIG_VERSION)
+	tar czf ../$(shell date "+%Y%m%d-%H%M%S")-REPACKED-elog_$(ORIG_VERSION).orig.tar.gz --exclude-vcs -C ./ elog-$(ORIG_VERSION)
+	rm -rf ./elog-$(ORIG_VERSION).tar.gz ./v0.1.0.tar.gz ./progress.js-0.1.0 ./elog-$(ORIG_VERSION)
 
 .PHONY: build clean binary-indep binary-arch binary install
